Summary:	Utility to compress PNG files
Name:		pngcrush
Version:	1.7.2
Release:	%mkrel 1
License:	zlib
Group:		Graphics
URL:		http://pmt.sourceforge.net/%{name}/
Source0:	http://downloads.sourceforge.net/pmt/%{name}-%{version}-nolib.tar.xz
Buildrequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
pngcrush is an optimizer for PNG (Portable Network Graphics) files. It can
compress them as much as 40% losslessly.

%prep

%setup -q -n %{name}-%{version}-nolib

%build
# force using system headers
rm -f z*.h crc32.h deflate.h inf*.h trees.h png*.h
pngflags=$(pkg-config --cflags --libs libpng)

gcc %{optflags} %{ldflags} -o pngcrush pngcrush.c $pngflags -lz -lm

%install
mkdir -p %{buildroot}%{_bindir}

install -m 0755 pngcrush %{buildroot}%{_bindir}
chmod 644 ChangeLog*

%clean
rm -rf %{buildroot} 

%files 
%defattr(-,root,root)
%doc ChangeLog.html
%{_bindir}/*


%changelog
* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.2-1mdv2010.0
+ Revision: 440760
- update to new version 1.7.2

* Sat Jul 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1mdv2010.0
+ Revision: 397188
- 1.7.0
- use the nolib source

* Sun Jun 07 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.19-1mdv2010.0
+ Revision: 383710
- 1.6.19

* Wed Jun 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.17-1mdv2010.0
+ Revision: 382514
- update to new version 1.6.17

* Fri May 08 2009 Funda Wang <fundawang@mandriva.org> 1.6.16-1mdv2010.0
+ Revision: 373383
- New version 1.6.16

* Thu Mar 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.15-1mdv2009.1
+ Revision: 349136
- update to new version 1.6.15

* Mon Feb 23 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.14-1mdv2009.1
+ Revision: 344093
- 1.6.14
- build against system libs (thanks fedora)

* Thu Jan 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.6.13-2mdv2009.1
+ Revision: 327213
- make doc readable

* Thu Jan 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.13-1mdv2009.1
+ Revision: 327212
- update to new version 1.6.13

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 1.6.11-1mdv2009.1
+ Revision: 304471
- update to new version 1.6.11

* Tue Aug 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.10-1mdv2009.0
+ Revision: 276301
- update to new version 1.6.10
- spec file clean
- update to new version 1.6.7
- spec file clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Thu May 22 2008 Frederik Himpe <fhimpe@mandriva.org> 1.6.6-1mdv2009.0
+ Revision: 210091
- New version
- Fix license
- Use sed hack to use Mandriva's default gcc, CFLAGS and LDFLAGS
- A few SPEC clean-ups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 1.6.4-1mdv2008.0
+ Revision: 21511
- update to 1.6.4


* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.6.3-2mdv2007.0
+ Revision: 122786
- kill merged patch
- Import pngcrush

* Sun Apr 23 2006 Jerome Soyer <saispo@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Tue Mar 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.6.2-1mdk
- New release 1.6.2
- make rpmbuildupdate friendly

* Fri Oct 07 2005 Lenny Cartier <lenny@mandriva.com> 1.5.10-5mdk
- rebuild

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.10-4mdk
- rebuild

